package chatapp.View;

import java.io.IOException;
import java.net.URL;
import java.util.ResourceBundle;

import chatapp.Controller.ChatApp;
import chatapp.Model.ListUtilisateurs;
import chatapp.Model.Utilisateur;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.stage.Stage;
/**
 *  <p>
 *      Classe representant l'interface graphique permettant d'afficher les utilisateurs actifs
 *      </p>
 */
public class View_Utilisateurs {

    public TextArea ListeUtilisateurs;
    public Button MenuButton;
    @FXML // ResourceBundle that was given to the FXMLLoader
    private ResourceBundle resources;

    @FXML // URL location of the FXML file that was given to the FXMLLoader
    private URL location;

    @FXML // This method is called by the FXMLLoader when initialization is complete
    void initialize() {
        ListUtilisateurs utilisateurs = ChatApp.getInstance().getActifUsers();

        ListeUtilisateurs.setText("");
        for(Utilisateur elem : utilisateurs.getActifUsers()) {
            ListeUtilisateurs.appendText( " - " +elem.getPseudo() + '\n');
        }
        ListeUtilisateurs.setEditable(false);


    }

    /**
     * <p> Handler permettant de retourner au menu principal sur pression du MenuButton</p>
     * @param actionEvent L'utilisateur vient d'appuyer sur le bouton Retour au menu
     */
    public void retourMenu(ActionEvent actionEvent) {
        Stage stage = (Stage) MenuButton.getScene().getWindow();
        Parent root = null;
        try {
            root = FXMLLoader.load(getClass().getResource("/fenetres/View_Menu.fxml"));
        } catch (IOException e) {
            e.printStackTrace();
        }
        Scene scene = new Scene(root);
        stage.setScene(scene);
        stage.show();
    }
}
